##
This file is part of decoding
Copyright (C) 2012  Guillaume Quintin
This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program; if not, write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
##

==NAME==

decoding - a library for implementing decoding algorithms

==SYNOPSIS==

`#include <decoding.h>`

==DESCRIPTION==

The `decoding` library is a research library for implementing
decoding algorithms. The main decoding algorithms provided by the
library are the Guruswami-Sudan list decoding related algorithms.

*Warning*: Although the library is fully functionnal, more functions
will be added. As of now (2012/06/22) only low level functions are
available. I will add user friendly functions as soon as I have some
time: it will be possible to use the Guruswami-Sudan list decoding
algorithm with only a few lines of C.

The documentation is splitted into several manpages.

- `decoding-alphabets`(3) contains the list of finite fields and
  rings provided by default by `decoding`.

- `decoding-rings`(3) explains how to create your own ring to be
  used by `decoding`.

- `decoding-defines`(3) explains how to customize `decoding`, for
  example to force `decoding` to use specific algorithms for finite
  fields.

- `decoding-lowlevels`(3) lists all low level functions provided
  by `decoding` used by all other functions.

==LICENSE==

The documentation of `decoding` and `decoding` are placed under the
GPL.

Copyright (C) 2012  Guillaume Quintin, INRIA
This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program; if not, write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

==AUTHOR==

Written by Guillaume Quintin (coincoin169@gmail.com).

==SEE ALSO==

GPL(7),
`decoding-alphabets`(3),
`decoding-rings`(3),
`decoding-defines`(3),
`decoding-lowlevels`(3)
