##
This file is part of decoding
Copyright 2012  Guillaume Quintin

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program; if not, write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
##

==NAME==

vomitpage - create manpages

==SYNOPSIS==

*vomitpage* [**FILE**] ...

==DESCRIPTION==

Create manpages.
*vomitpage* reads **FILE**
and writes the troff code on the standard output.
Several files can be specified.
If no file is specified *vomitpage* reads from the standard input.

==FORMAT OF THE INPUT FILE(S)==

Write your manpage as you would write a plain text file.
Paragraphs are separated by a blank line.
To specify a section just write a paragraph containing only:

::
==section title==
::

You can also use subsections:

::
===subsection title===
::

In each paragraph you can write bold and underline text as follow:
\*bold\* will be *bold*.
\*\*underline\*\* will be **underline**.
You can also include uninterpreted text.
This text will constitute a paragraph beginning with "::".

==EXAMPLE==

A simple example:

::
==NAME==

example - is an example

==SYNOPSIS==

This is an example of cctxt.
Some *bold text* here and some **underline text** here.

==DESCRIPTION==

The description here.

===subsection 1 here===

Text here

===subsection 2 here===

Text here
::

==AUTHOR==

Written by Guillaume Quintin (coincoin169@gmail.com).

