/*
 * This file is part of decoding
 * Copyright 2012  Guillaume Quintin, INRIA
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 */

#define _POSIX_C_SOURCE 1

#include <decoding/decoding.h>

#define PRIME 101
#include <decoding/rings/gfp_word.c>
#include <decoding/algos.c>

void test_inv(int n) {
  int i;
  gf101 a,b,c,one;
  gf101_init(a);
  gf101_init(b);
  gf101_init(c);
  gf101_init(one);
  gf101_castint(one,1);
  for( i = 0 ; i < n ; i++ ) {
    gf101_random(a);
    if ( !gf101_inv(b,a) ) {
      gf101_mul(c,a,b);
      if ( gf101_cmp(c,one) ) {
        gf101_ll_print(stderr,"Error (%e)^-1 != %e.\n",&a,&b);
        exit(-1);
      }
    }
  }
  gf101_clear(a);
  gf101_clear(b);
  gf101_clear(c);
  gf101_clear(one);
  printf("OK\n");
}

int main(void) {
  test_inv(1000);
  return 0;
}

